# $Revision: 1.5 $, $Date: 2002/07/12 23:53:33 $
%include	/usr/lib/rpm/macros.php
%define         _class          Net
%define         _subclass       DIME
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - implements DIME encoding
Summary(pl):	%{_class}_%{_subclass} - implementacja kodowania DIME
Name:		php-pear-%{_pearname}
Version:	0.2
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
Patch0:		%{name}-class_name.patch
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides an implementation of DIME as defined at
http://search.ietf.org/internet-drafts/draft-nielsen-dime-02.txt

%description -l pl
Dostarcza implementacj DIME, jaka zostaa zdefiniowana w dokumencie:
http://search.ietf.org/internet-drafts/draft-nielsen-dime-02.txt

%prep
%setup -q -c
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/test/*
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Net_DIME.spec,v $
Revision 1.5  2002/07/12 23:53:33  blues
- release 2 (rebuild with new rpm)

Revision 1.4  2002/07/12 10:08:23  blues
- removed not neccessary provides

Revision 1.3  2002/07/08 00:40:26  blues
- new one provides

Revision 1.2  2002/07/07 23:22:59  blues
- added class_name patch - change names of the classes (Sent to author)
STBR

Revision 1.1  2002/07/07 22:52:20  blues
- initial release (NFY)

